# DebugCachePeer Class Reference
[Application-wide cache subsystem]

CachePeer for debugging and logging puproses. More...

Inheritance diagram for DebugCachePeer:
[legend]

List of all members.

## Public Member Functions

| __construct (CachePeer $peer, $logfile, $isWeb=true, $appendFile=true)
| setBlackListActions ($actions)
| dropBlackListActions ()
| setWhiteListActions ($actions)
| dropWhiteListActions ()
| mark ($className)
| increment ($key, $value)
| decrement ($key, $value)
| getList ($indexes)
| get ($key)
| delete ($key)
| clean ()
| isAlive ()
| append ($key, $data)

## Static Public Member Functions

static | create (CachePeer $peer, $logfile, $isWeb=true, $appendFile=true)

## Protected Member Functions

| store ($action, $key, $value, $expires=Cache::EXPIRES_MEDIUM)

## Private Member Functions

| log ($action, $totalTime, $key=null)

## Private Attributes

| $peer = null
| $logger = null
| $isWeb = true
| $whiteListActions = array()
| $blackListActions = array()
| $actionFilter = false

## Detailed Description

CachePeer for debugging and logging puproses.

Definition at line 17 of file DebugCachePeer.class.php.

## Constructor & Destructor Documentation

DebugCachePeer::__construct | ( | CachePeer $ | peer,
|  | $ | logfile,
|  | $ | isWeb = `true`,
|  | $ | appendFile = `true` |
| ) |  |  |

Definition at line 37 of file DebugCachePeer.class.php.

References $isWeb, FileOutputStream::create(), and create().

Here is the call graph for this function:

## Member Function Documentation

DebugCachePeer::append | ( | $ | key,
|  | $ | data |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 178 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::clean | ( |  | ) |

Returns:
  CachePeer

Reimplemented from CachePeer.

Definition at line 156 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

static DebugCachePeer::create | ( | CachePeer $ | peer,
|  | $ | logfile,
|  | $ | isWeb = `true`,
|  | $ | appendFile = `true` |
| ) |  |  | `[static]`

Returns:
  DebugCachePeer

Definition at line 30 of file DebugCachePeer.class.php.

References $isWeb.

Referenced by __construct().

DebugCachePeer::decrement | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 109 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::delete | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 142 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::dropBlackListActions | ( |  | ) |

Definition at line 60 of file DebugCachePeer.class.php.

DebugCachePeer::dropWhiteListActions | ( |  | ) |

Definition at line 81 of file DebugCachePeer.class.php.

DebugCachePeer::get | ( | $ | key | ) |

Reimplemented from CachePeer.

Definition at line 131 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::getList | ( | $ | indexes | ) |

Reimplemented from CachePeer.

Definition at line 120 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::increment | ( | $ | key,
|  | $ | value |
| ) |  |  |

Reimplemented from CachePeer.

Definition at line 98 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::isAlive | ( |  | ) |

Reimplemented from CachePeer.

Definition at line 167 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

DebugCachePeer::log | ( | $ | action,
|  | $ | totalTime,
|  | $ | key = `null` |
| ) |  |  | `[private]`

Definition at line 202 of file DebugCachePeer.class.php.

Referenced by append(), clean(), decrement(), delete(), get(), getList(), increment(), isAlive(), and store().

DebugCachePeer::mark | ( | $ | className | ) |

Returns:
  CachePeer

Reimplemented from SelectivePeer.

Definition at line 93 of file DebugCachePeer.class.php.

DebugCachePeer::setBlackListActions | ( | $ | actions | ) |

Definition at line 48 of file DebugCachePeer.class.php.

DebugCachePeer::setWhiteListActions | ( | $ | actions | ) |

Definition at line 69 of file DebugCachePeer.class.php.

DebugCachePeer::store | ( | $ | action,
|  | $ | key,
|  | $ | value,
|  | $ | expires = `Cache::EXPIRES_MEDIUM` |
| ) |  |  | `[protected]`

Reimplemented from CachePeer.

Definition at line 189 of file DebugCachePeer.class.php.

References log().

Here is the call graph for this function:

## Member Data Documentation

DebugCachePeer::$actionFilter = false`[private]`

Definition at line 24 of file DebugCachePeer.class.php.

DebugCachePeer::$blackListActions = array()`[private]`

Definition at line 23 of file DebugCachePeer.class.php.

DebugCachePeer::$isWeb = true`[private]`

Definition at line 21 of file DebugCachePeer.class.php.

Referenced by __construct(), and create().

DebugCachePeer::$logger = null`[private]`

Definition at line 20 of file DebugCachePeer.class.php.

DebugCachePeer::$peer = null`[private]`

Definition at line 19 of file DebugCachePeer.class.php.

DebugCachePeer::$whiteListActions = array()`[private]`

Definition at line 22 of file DebugCachePeer.class.php.

The documentation for this class was generated from the following file:

- core/Cache/DebugCachePeer.class.php